/* $Id: HrefChecker.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.util;

public class HrefChecker {

	public static int check(String id){
		if(id == null){
			return -1;
		}
		if(id.toLowerCase().startsWith("http") || id.toLowerCase().startsWith("ftp") ||id.toLowerCase().startsWith("file") || id.toLowerCase().startsWith("mailto")){
			return -1;
		}
		try{
			return Integer.parseInt(id);
		}catch(Exception e){
			return -1;
		}
	}
}
